BrlAPI 0.8

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
brlapi.h File Reference

Types, defines and functions prototypes for BrlAPI's library. More...

`#include <sys/types.h>`
`#include <windows.h>`
`#include <stdint.h>`
`#include <unistd.h>`
`#include <inttypes.h>`
`#include <wchar.h>`
`#include "brlapi_keycodes.h"`
`#include "brlapi_param.h"`

Go to the source code of this file.

## Data Structures
struct | brlapi_connectionSettings_t
| Settings structure for BrlAPI connection. More...
struct | brlapi_writeArguments_t
struct | brlapi_expandedKeyCode_t
struct | brlapi_describedKeyCode_t
struct | brlapi_range_t
struct | brlapi_error_t
struct | brlapi_writeStruct

## Macros
#define | BRLAPI_WIN32 1
#define | BRLAPI_RELEASE "0.8.7"
#define | BRLAPI_MAJOR 0
#define | BRLAPI_MINOR 8
#define | BRLAPI_REVISION 7
#define | BRLAPI_STDCALL __stdcall
#define | BRLAPI_SOCKETPORTNUM 4101
#define | BRLAPI_SOCKETPORT "4101"
#define | BRLAPI_SOCKETPATH "\\\\.\\pipe\\BrlAPI"
#define | BRLAPI_ETCDIR "//etc"
#define | BRLAPI_AUTHKEYFILE "brlapi.key"
#define | BRLAPI_DEFAUTH "none"
#define | BRLAPI_INVALID_FILE_DESCRIPTOR -1
#define | BRLAPI_SETTINGS_INITIALIZER { NULL, NULL }
#define | BRLAPI_MAXNAMELENGTH 31
#define | BRLAPI_TTY_DEFAULT -1
#define | BRLAPI_DISPLAY_DEFAULT -1
#define | BRLAPI_CURSOR_LEAVE -1
#define | BRLAPI_CURSOR_OFF 0
#define | BRLAPI_WRITEARGUMENTS_INITIALIZER
#define | BRLAPI_UC_ROW 0x2800UL
#define | brlapi_ignoreAllKeys() brlapi_ignoreKeys(brlapi_rangeType_all, NULL, 0)
#define | brlapi__ignoreAllKeys(handle) brlapi__ignoreKeys(handle, brlapi_rangeType_all, NULL, 0)
#define | brlapi_acceptAllKeys() brlapi_acceptKeys(brlapi_rangeType_all, NULL, 0)
#define | brlapi__acceptAllKeys(handle) brlapi__acceptKeys(handle, brlapi_rangeType_all, NULL, 0)
#define | BRLAPI_PARAMF_LOCAL 0X00
#define | BRLAPI_PARAMF_GLOBAL 0X01
#define | BRLAPI_PARAMF_SELF 0X02
#define | BRLAPI_ERROR_SUCCESS 0
#define | BRLAPI_ERROR_NOMEM BRLAPI_ERROR_NOMEM
#define | BRLAPI_ERROR_TTYBUSY BRLAPI_ERROR_TTYBUSY
#define | BRLAPI_ERROR_DEVICEBUSY BRLAPI_ERROR_DEVICEBUSY
#define | BRLAPI_ERROR_UNKNOWN_INSTRUCTION BRLAPI_ERROR_UNKNOWN_INSTRUCTION
#define | BRLAPI_ERROR_ILLEGAL_INSTRUCTION BRLAPI_ERROR_ILLEGAL_INSTRUCTION
#define | BRLAPI_ERROR_INVALID_PARAMETER BRLAPI_ERROR_INVALID_PARAMETER
#define | BRLAPI_ERROR_INVALID_PACKET BRLAPI_ERROR_INVALID_PACKET
#define | BRLAPI_ERROR_CONNREFUSED BRLAPI_ERROR_CONNREFUSED
#define | BRLAPI_ERROR_OPNOTSUPP BRLAPI_ERROR_OPNOTSUPP
#define | BRLAPI_ERROR_GAIERR BRLAPI_ERROR_GAIERR
#define | BRLAPI_ERROR_LIBCERR BRLAPI_ERROR_LIBCERR
#define | BRLAPI_ERROR_UNKNOWNTTY BRLAPI_ERROR_UNKNOWNTTY
#define | BRLAPI_ERROR_PROTOCOL_VERSION BRLAPI_ERROR_PROTOCOL_VERSION
#define | BRLAPI_ERROR_EOF BRLAPI_ERROR_EOF
#define | BRLAPI_ERROR_EMPTYKEY BRLAPI_ERROR_EMPTYKEY
#define | BRLAPI_ERROR_DRIVERERROR BRLAPI_ERROR_DRIVERERROR
#define | BRLAPI_ERROR_AUTHENTICATION BRLAPI_ERROR_AUTHENTICATION
#define | BRLAPI_ERROR_READONLY_PARAMETER BRLAPI_ERROR_READONLY_PARAMETER
#define | brlapi_error (*brlapi_error_location())
#define | brlapi_errno (brlapi_error.brlerrno)
#define | brlapi_libcerrno (brlapi_error.libcerrno)
#define | brlapi_gaierrno (brlapi_error.gaierrno)
#define | brlapi_errfun (brlapi_error.errfun)
#define | brlapi_writeText(cursor, str) brlapi_writeTextWin(cursor, str, 0)
#define | brlapi__writeText(handle, cursor, str) brlapi__writeTextWin(handle, cursor, str, 0)
#define | brlapi_write(s) brlapi_writeWin(s, 0)
#define | brlapi__write(handle, s) brlapi__writeWin(handle, s, 0)
#define | brlapi_settings_t brlapi_connectionSettings_t
#define | BRLAPI_WRITESTRUCT_INITIALIZER BRLAPI_WRITEARGUMENTS_INITIALIZER
#define | brl_keycode_t brlapi_keyCode_t
#define | brl_type_t brlapi_packetType_t
#define | BRLCOMMANDS NULL
#define | BRL_KEYCODE_MAX BRLAPI_KEY_MAX
#define | brlapi_initializeConnection brlapi_openConnection
#define | brlapi_getTty brlapi_enterTtyMode
#define | brlapi_getTtyPath brlapi_enterTtyModeWithPath
#define | brlapi_leaveTty brlapi_leaveTtyMode
#define | brlapi_unignoreKeyRange brlapi_acceptKeyRange
#define | brlapi_unignoreKeySet brlapi_acceptKeySet
#define | brlapi_getRaw brlapi_enterRawMode
#define | brlapi_leaveRaw brlapi_leaveRawMode
#define | brlapi_suspend brlapi_suspendDriver
#define | brlapi_resume brlapi_resumeDriver
#define | BRLERR_SUCCESS BRLAPI_ERROR_SUCCESS
#define | BRLERR_NOMEM BRLAPI_ERROR_NOMEM
#define | BRLERR_TTYBUSY BRLAPI_ERROR_TTYBUSY
#define | BRLERR_DEVICEBUSY BRLAPI_ERROR_DEVICEBUSY
#define | BRLERR_UNKNOWN_INSTRUCTION BRLAPI_ERROR_UNKNOWN_INSTRUCTION
#define | BRLERR_ILLEGAL_INSTRUCTION BRLAPI_ERROR_ILLEGAL_INSTRUCTION
#define | BRLERR_INVALID_PARAMETER BRLAPI_ERROR_INVALID_PARAMETER
#define | BRLERR_INVALID_PACKET BRLAPI_ERROR_INVALID_PACKET
#define | BRLERR_CONNREFUSED BRLAPI_ERROR_CONNREFUSED
#define | BRLERR_OPNOTSUPP BRLAPI_ERROR_OPNOTSUPP
#define | BRLERR_GAIERR BRLAPI_ERROR_GAIERR
#define | BRLERR_LIBCERR BRLAPI_ERROR_LIBCERR
#define | BRLERR_UNKNOWNTTY BRLAPI_ERROR_UNKNOWNTTY
#define | BRLERR_PROTOCOL_VERSION BRLAPI_ERROR_PROTOCOL_VERSION
#define | BRLERR_EOF BRLAPI_ERROR_EOF
#define | BRLERR_EMPTYKEY BRLAPI_ERROR_EMPTYKEY
#define | BRLERR_DRIVERERROR BRLAPI_ERROR_DRIVERERROR

## Typedefs
typedef struct brlapi_handle_t | brlapi_handle_t
typedef int | brlapi_fileDescriptor
typedef uint32_t | brlapi_param_flags_t
typedef void(* | brlapi_paramCallback_t) (brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, void *priv, const void *data, size_t len)
typedef void * | brlapi_paramCallbackDescriptor_t
typedef uint32_t | brlapi_packetType_t
typedef void(BRLAPI_STDCALL * | brlapi_exceptionHandler_t) (int error, brlapi_packetType_t type, const void *packet, size_t size)
typedef void(BRLAPI_STDCALL * | brlapi__exceptionHandler_t) (brlapi_handle_t *handle, int error, brlapi_packetType_t type, const void *packet, size_t size)

## Enumerations
enum | brlapi_rangeType_t { brlapi_rangeType_all, brlapi_rangeType_type, brlapi_rangeType_command, brlapi_rangeType_key, brlapi_rangeType_code }
enum | brlapi_error { BRLAPI_ERROR_SUCCESS = 0, BRLAPI_ERROR_SUCCESS = 0, BRLAPI_ERROR_NOMEM = 1, BRLAPI_ERROR_NOMEM = 1, BRLAPI_ERROR_TTYBUSY = 2, BRLAPI_ERROR_TTYBUSY = 2, BRLAPI_ERROR_DEVICEBUSY = 3, BRLAPI_ERROR_DEVICEBUSY = 3, BRLAPI_ERROR_UNKNOWN_INSTRUCTION = 4, BRLAPI_ERROR_UNKNOWN_INSTRUCTION = 4, BRLAPI_ERROR_ILLEGAL_INSTRUCTION = 5, BRLAPI_ERROR_ILLEGAL_INSTRUCTION = 5, BRLAPI_ERROR_INVALID_PARAMETER = 6, BRLAPI_ERROR_INVALID_PARAMETER = 6, BRLAPI_ERROR_INVALID_PACKET = 7, BRLAPI_ERROR_INVALID_PACKET = 7, BRLAPI_ERROR_CONNREFUSED = 8, BRLAPI_ERROR_CONNREFUSED = 8, BRLAPI_ERROR_OPNOTSUPP = 9, BRLAPI_ERROR_OPNOTSUPP = 9, BRLAPI_ERROR_GAIERR = 10, BRLAPI_ERROR_GAIERR = 10, BRLAPI_ERROR_LIBCERR = 11, BRLAPI_ERROR_LIBCERR = 11, BRLAPI_ERROR_UNKNOWNTTY = 12, BRLAPI_ERROR_UNKNOWNTTY = 12, BRLAPI_ERROR_PROTOCOL_VERSION = 13, BRLAPI_ERROR_PROTOCOL_VERSION = 13, BRLAPI_ERROR_EOF = 14, BRLAPI_ERROR_EOF = 14, BRLAPI_ERROR_EMPTYKEY = 15, BRLAPI_ERROR_EMPTYKEY = 15, BRLAPI_ERROR_DRIVERERROR = 16, BRLAPI_ERROR_DRIVERERROR = 16, BRLAPI_ERROR_AUTHENTICATION = 17, BRLAPI_ERROR_AUTHENTICATION = 17, BRLAPI_ERROR_READONLY_PARAMETER = 18, BRLAPI_ERROR_READONLY_PARAMETER = 18 }

## Functions
void | brlapi_getLibraryVersion (int *major, int *minor, int *revision)
size_t BRLAPI_STDCALL | brlapi_getHandleSize (void)
brlapi_fileDescriptor BRLAPI_STDCALL | brlapi_openConnection (const brlapi_connectionSettings_t *desiredSettings, brlapi_connectionSettings_t *actualSettings)
brlapi_fileDescriptor BRLAPI_STDCALL | brlapi__openConnection (brlapi_handle_t *handle, const brlapi_connectionSettings_t *desiredSettings, brlapi_connectionSettings_t *actualSettings)
brlapi_fileDescriptor BRLAPI_STDCALL | brlapi_getFileDescriptor (void)
brlapi_fileDescriptor BRLAPI_STDCALL | brlapi__getFileDescriptor (brlapi_handle_t *handle)
void BRLAPI_STDCALL | brlapi_closeConnection (void)
void BRLAPI_STDCALL | brlapi__closeConnection (brlapi_handle_t *handle)
void BRLAPI_STDCALL | brlapi_setClientData (void *data)
void BRLAPI_STDCALL | brlapi__setClientData (brlapi_handle_t *handle, void *data)
void *BRLAPI_STDCALL | brlapi_getClientData (void)
void *BRLAPI_STDCALL | brlapi__getClientData (brlapi_handle_t *handle)
int BRLAPI_STDCALL | brlapi_getDriverName (char *buffer, size_t size)
int BRLAPI_STDCALL | brlapi__getDriverName (brlapi_handle_t *handle, char *buffer, size_t size)
int BRLAPI_STDCALL | brlapi_getModelIdentifier (char *buffer, size_t size)
int BRLAPI_STDCALL | brlapi__getModelIdentifier (brlapi_handle_t *handle, char *buffer, size_t size)
int BRLAPI_STDCALL | brlapi_getDisplaySize (unsigned int *x, unsigned int *y)
int BRLAPI_STDCALL | brlapi__getDisplaySize (brlapi_handle_t *handle, unsigned int *x, unsigned int *y)
int BRLAPI_STDCALL | brlapi_enterTtyMode (int tty, const char *driver)
int BRLAPI_STDCALL | brlapi__enterTtyMode (brlapi_handle_t *handle, int tty, const char *driver)
int BRLAPI_STDCALL | brlapi_enterTtyModeWithPath (const int *ttys, int count, const char *driver)
int BRLAPI_STDCALL | brlapi__enterTtyModeWithPath (brlapi_handle_t *handle, const int *ttys, int count, const char *driver)
int BRLAPI_STDCALL | brlapi_leaveTtyMode (void)
int BRLAPI_STDCALL | brlapi__leaveTtyMode (brlapi_handle_t *handle)
int BRLAPI_STDCALL | brlapi_setFocus (int tty)
int BRLAPI_STDCALL | brlapi__setFocus (brlapi_handle_t *handle, int tty)
int BRLAPI_STDCALL | brlapi_writeText (int cursor, const char *text)
int BRLAPI_STDCALL | brlapi__writeText (brlapi_handle_t *handle, int cursor, const char *text)
int BRLAPI_STDCALL | brlapi_writeWText (int cursor, const wchar_t *text)
int BRLAPI_STDCALL | brlapi__writeWText (brlapi_handle_t *handle, int cursor, const wchar_t *text)
int BRLAPI_STDCALL | brlapi_writeDots (const unsigned char *dots)
int BRLAPI_STDCALL | brlapi__writeDots (brlapi_handle_t *handle, const unsigned char *dots)
int BRLAPI_STDCALL | brlapi_write (const brlapi_writeArguments_t *arguments)
int BRLAPI_STDCALL | brlapi__write (brlapi_handle_t *handle, const brlapi_writeArguments_t *arguments)
int BRLAPI_STDCALL | brlapi_expandKeyCode (brlapi_keyCode_t code, brlapi_expandedKeyCode_t *expansion)
int BRLAPI_STDCALL | brlapi_describeKeyCode (brlapi_keyCode_t code, brlapi_describedKeyCode_t *description)
int BRLAPI_STDCALL | brlapi_readKey (int wait, brlapi_keyCode_t *code)
int BRLAPI_STDCALL | brlapi__readKey (brlapi_handle_t *handle, int wait, brlapi_keyCode_t *code)
int BRLAPI_STDCALL | brlapi_readKeyWithTimeout (int timeout_ms, brlapi_keyCode_t *code)
int BRLAPI_STDCALL | brlapi__readKeyWithTimeout (brlapi_handle_t *handle, int timeout_ms, brlapi_keyCode_t *code)
int BRLAPI_STDCALL | brlapi_ignoreKeys (brlapi_rangeType_t type, const brlapi_keyCode_t keys[], unsigned int count)
int BRLAPI_STDCALL | brlapi__ignoreKeys (brlapi_handle_t *handle, brlapi_rangeType_t type, const brlapi_keyCode_t keys[], unsigned int count)
int BRLAPI_STDCALL | brlapi_acceptKeys (brlapi_rangeType_t type, const brlapi_keyCode_t keys[], unsigned int count)
int BRLAPI_STDCALL | brlapi__acceptKeys (brlapi_handle_t *handle, brlapi_rangeType_t type, const brlapi_keyCode_t keys[], unsigned int count)
int BRLAPI_STDCALL | brlapi__ignoreAllKeys (brlapi_handle_t *handle)
int BRLAPI_STDCALL | brlapi__acceptAllKeys (brlapi_handle_t *handle)
int BRLAPI_STDCALL | brlapi_ignoreKeyRanges (const brlapi_range_t ranges[], unsigned int count)
int BRLAPI_STDCALL | brlapi__ignoreKeyRanges (brlapi_handle_t *handle, const brlapi_range_t ranges[], unsigned int count)
int BRLAPI_STDCALL | brlapi_acceptKeyRanges (const brlapi_range_t ranges[], unsigned int count)
int BRLAPI_STDCALL | brlapi__acceptKeyRanges (brlapi_handle_t *handle, const brlapi_range_t ranges[], unsigned int count)
int BRLAPI_STDCALL | brlapi_enterRawMode (const char *driver)
int BRLAPI_STDCALL | brlapi__enterRawMode (brlapi_handle_t *handle, const char *driver)
int BRLAPI_STDCALL | brlapi_leaveRawMode (void)
int BRLAPI_STDCALL | brlapi__leaveRawMode (brlapi_handle_t *handle)
ssize_t BRLAPI_STDCALL | brlapi_sendRaw (const void *buffer, size_t size)
ssize_t BRLAPI_STDCALL | brlapi__sendRaw (brlapi_handle_t *handle, const void *buffer, size_t size)
ssize_t BRLAPI_STDCALL | brlapi_recvRaw (void *buffer, size_t size)
ssize_t BRLAPI_STDCALL | brlapi__recvRaw (brlapi_handle_t *handle, void *buffer, size_t size)
int BRLAPI_STDCALL | brlapi_suspendDriver (const char *driver)
int BRLAPI_STDCALL | brlapi__suspendDriver (brlapi_handle_t *handle, const char *driver)
int BRLAPI_STDCALL | brlapi_resumeDriver (void)
int BRLAPI_STDCALL | brlapi__resumeDriver (brlapi_handle_t *handle)
ssize_t BRLAPI_STDCALL | brlapi_getParameter (brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, void *data, size_t len)
ssize_t BRLAPI_STDCALL | brlapi__getParameter (brlapi_handle_t *handle, brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, void *data, size_t len)
void *BRLAPI_STDCALL | brlapi_getParameterAlloc (brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, size_t *len)
void *BRLAPI_STDCALL | brlapi__getParameterAlloc (brlapi_handle_t *handle, brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, size_t *len)
int BRLAPI_STDCALL | brlapi_setParameter (brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, const void *data, size_t len)
int BRLAPI_STDCALL | brlapi__setParameter (brlapi_handle_t *handle, brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, const void *data, size_t len)
brlapi_paramCallbackDescriptor_t BRLAPI_STDCALL | brlapi_watchParameter (brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, brlapi_paramCallback_t func, void *priv, void *data, size_t len)
brlapi_paramCallbackDescriptor_t BRLAPI_STDCALL | brlapi__watchParameter (brlapi_handle_t *handle, brlapi_param_t parameter, brlapi_param_subparam_t subparam, brlapi_param_flags_t flags, brlapi_paramCallback_t func, void *priv, void *data, size_t len)
int BRLAPI_STDCALL | brlapi_unwatchParameter (brlapi_paramCallbackDescriptor_t descriptor)
int BRLAPI_STDCALL | brlapi__unwatchParameter (brlapi_handle_t *handle, brlapi_paramCallbackDescriptor_t descriptor)
int BRLAPI_STDCALL | brlapi_pause (int timeout_ms)
int BRLAPI_STDCALL | brlapi__pause (brlapi_handle_t *handle, int timeout_ms)
int BRLAPI_STDCALL | brlapi_sync (void)
int BRLAPI_STDCALL | brlapi__sync (brlapi_handle_t *handle)
void BRLAPI_STDCALL | brlapi_perror (const char *s)
brlapi_error_t *BRLAPI_STDCALL | brlapi_error_location (void)
const char *BRLAPI_STDCALL | brlapi_strerror (const brlapi_error_t *error)
size_t BRLAPI_STDCALL | brlapi_strerror_r (const brlapi_error_t *error, char *buf, size_t buflen)
const char *BRLAPI_STDCALL | brlapi_getPacketTypeName (brlapi_packetType_t type)
int BRLAPI_STDCALL | brlapi_strexception (char *buffer, size_t bufferSize, int error, brlapi_packetType_t type, const void *packet, size_t packetSize)
int BRLAPI_STDCALL | brlapi__strexception (brlapi_handle_t *handle, char *buffer, size_t bufferSize, int error, brlapi_packetType_t type, const void *packet, size_t packetSize)
brlapi_exceptionHandler_t BRLAPI_STDCALL | brlapi_setExceptionHandler (brlapi_exceptionHandler_t handler)
brlapi__exceptionHandler_t BRLAPI_STDCALL | brlapi__setExceptionHandler (brlapi_handle_t *handle, brlapi__exceptionHandler_t handler)
void BRLAPI_STDCALL | brlapi_defaultExceptionHandler (int error, brlapi_packetType_t type, const void *packet, size_t size)
void BRLAPI_STDCALL | brlapi__defaultExceptionHandler (brlapi_handle_t *handle, int error, brlapi_packetType_t type, const void *packet, size_t size)
int BRLAPI_STDCALL | brlapi_writeTextWin (int cursor, const void *str, int wide)
int BRLAPI_STDCALL | brlapi__writeTextWin (brlapi_handle_t *handle, int cursor, const void *str, int wide)
int BRLAPI_STDCALL | brlapi_writeWin (const brlapi_writeArguments_t *s, int wide)
int BRLAPI_STDCALL | brlapi__writeWin (brlapi_handle_t *handle, const brlapi_writeArguments_t *s, int wide)

## Variables
const char * | brlapi_errlist []
const int | brlapi_nerr
brlapi_error_t | brlapi_error
enum brlapi_error | brlapi_errno
int | brlapi_libcerrno
int | brlapi_gaierrno
const char * | brlapi_errfun

## Macro Definition Documentation

## ◆ brlapi__write

#define brlapi__write | ( |  | handle,
|  |  | s
| ) |  | brlapi__writeWin(handle, s, 0)

## ◆ brlapi__writeText

#define brlapi__writeText | ( |  | handle,
|  |  | cursor,
|  |  | str
| ) |  | brlapi__writeTextWin(handle, cursor, str, 0)

## ◆ BRLAPI_ERROR_AUTHENTICATION

#define BRLAPI_ERROR_AUTHENTICATION BRLAPI_ERROR_AUTHENTICATION

## ◆ BRLAPI_ERROR_CONNREFUSED

#define BRLAPI_ERROR_CONNREFUSED BRLAPI_ERROR_CONNREFUSED

## ◆ BRLAPI_ERROR_DEVICEBUSY

#define BRLAPI_ERROR_DEVICEBUSY BRLAPI_ERROR_DEVICEBUSY

## ◆ BRLAPI_ERROR_DRIVERERROR

#define BRLAPI_ERROR_DRIVERERROR BRLAPI_ERROR_DRIVERERROR

## ◆ BRLAPI_ERROR_EMPTYKEY

#define BRLAPI_ERROR_EMPTYKEY BRLAPI_ERROR_EMPTYKEY

## ◆ BRLAPI_ERROR_EOF

#define BRLAPI_ERROR_EOF BRLAPI_ERROR_EOF

## ◆ BRLAPI_ERROR_GAIERR

#define BRLAPI_ERROR_GAIERR BRLAPI_ERROR_GAIERR

## ◆ BRLAPI_ERROR_ILLEGAL_INSTRUCTION

#define BRLAPI_ERROR_ILLEGAL_INSTRUCTION BRLAPI_ERROR_ILLEGAL_INSTRUCTION

## ◆ BRLAPI_ERROR_INVALID_PACKET

#define BRLAPI_ERROR_INVALID_PACKET BRLAPI_ERROR_INVALID_PACKET

## ◆ BRLAPI_ERROR_INVALID_PARAMETER

#define BRLAPI_ERROR_INVALID_PARAMETER BRLAPI_ERROR_INVALID_PARAMETER

## ◆ BRLAPI_ERROR_LIBCERR

#define BRLAPI_ERROR_LIBCERR BRLAPI_ERROR_LIBCERR

## ◆ BRLAPI_ERROR_NOMEM

#define BRLAPI_ERROR_NOMEM BRLAPI_ERROR_NOMEM

## ◆ BRLAPI_ERROR_OPNOTSUPP

#define BRLAPI_ERROR_OPNOTSUPP BRLAPI_ERROR_OPNOTSUPP

## ◆ BRLAPI_ERROR_PROTOCOL_VERSION

#define BRLAPI_ERROR_PROTOCOL_VERSION BRLAPI_ERROR_PROTOCOL_VERSION

## ◆ BRLAPI_ERROR_READONLY_PARAMETER

#define BRLAPI_ERROR_READONLY_PARAMETER BRLAPI_ERROR_READONLY_PARAMETER

## ◆ BRLAPI_ERROR_SUCCESS

#define BRLAPI_ERROR_SUCCESS 0

## ◆ BRLAPI_ERROR_TTYBUSY

#define BRLAPI_ERROR_TTYBUSY BRLAPI_ERROR_TTYBUSY

## ◆ BRLAPI_ERROR_UNKNOWN_INSTRUCTION

#define BRLAPI_ERROR_UNKNOWN_INSTRUCTION BRLAPI_ERROR_UNKNOWN_INSTRUCTION

## ◆ BRLAPI_ERROR_UNKNOWNTTY

#define BRLAPI_ERROR_UNKNOWNTTY BRLAPI_ERROR_UNKNOWNTTY

## ◆ BRLAPI_STDCALL

#define BRLAPI_STDCALL __stdcall

## ◆ BRLAPI_WIN32

#define BRLAPI_WIN32 1

## ◆ brlapi_write

#define brlapi_write | ( |  | s | ) | brlapi_writeWin(s, 0)

## ◆ brlapi_writeText

#define brlapi_writeText | ( |  | cursor,
|  |  | str
| ) |  | brlapi_writeTextWin(cursor, str, 0)

## Function Documentation

## ◆ brlapi__writeTextWin()

int BRLAPI_STDCALL brlapi__writeTextWin | ( | brlapi_handle_t * | handle,
|  | int | cursor,
|  | const void * | str,
|  | int | wide
| ) |  |

## ◆ brlapi__writeWin()

int BRLAPI_STDCALL brlapi__writeWin | ( | brlapi_handle_t * | handle,
|  | const brlapi_writeArguments_t * | s,
|  | int | wide
| ) |  |

## ◆ brlapi_writeTextWin()

int BRLAPI_STDCALL brlapi_writeTextWin | ( | int | cursor,
|  | const void * | str,
|  | int | wide
| ) |  |

## ◆ brlapi_writeWin()

int BRLAPI_STDCALL brlapi_writeWin | ( | const brlapi_writeArguments_t * | s,
|  | int | wide
| ) |  |